Get Subscription
GET
/subscriptions/{subscription}AuthorizationBearer <token>
In: header
Path Parameters
subscription*string
Opaque subscription ID.
Match
^sbs_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/subscriptions/string"{ "data": { "id": "string", "object": "subscription", "livemode": true, "created": "2019-08-24T14:15:22Z", "customer": { "id": "string", "name": "string", "email": "string" }, "currency": "string", "can_add_credit": true, "pause_enabled": true, "customer_credit_balance_minor": 0, "status": "string", "charge_deferred": true, "cancel_at": "string", "cancel_at_period_end": true, "canceled_at": "string", "ended_at": "string", "cancellation_reason": "string", "cancellation_feedback": { "reason": "expensive", "text": "string" }, "trial_start": "string", "trial_end": "string", "next_renewal_at": "string", "scheduled_change": { "product_id": "string", "plan_id": "string", "price_id": "string", "name": "string", "quantity": 1, "interval": "string", "interval_count": 1, "amount": { "amount": -9007199254740991, "currency": "string" }, "effective_at": "2019-08-24T14:15:22Z" }, "pause_starts_at": "string", "paused_until": "string", "latest_invoice": "string", "items": [ { "id": "string", "product": "string", "plan": "string", "price": "string", "quantity": 0, "unit_amount": { "amount": -9007199254740991, "currency": "string" }, "interval": "string", "current_period_start": "string", "current_period_end": "string" } ], "payment_method": { "id": "string", "type": "string", "brand": "string", "last4": "string", "exp_month": 1, "exp_year": 1, "expires_soon": true }, "billing_cycle_anchor": "string", "billing_day": 1, "payment_setup": { "id": "string", "name": "string" }, "processor_account": { "id": "string", "processor": "string", "external_account_id": "string" }, "collection_method": "string", "collection_rail": "string", "trials_before": { "count": 0, "data": [ { "subscription": "string", "subscription_item": "string", "source": "item_current_trial", "trial_start": "2019-08-24T14:15:22Z", "trial_end": "2019-08-24T14:15:22Z" } ] }, "history": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "revision", "occurred_at": "2019-08-24T14:15:22Z", "effective_from": "2019-08-24T14:15:22Z", "subscription_item": "string", "plan": "string", "price": "string", "quantity": 0, "basis": "paid" } ], "has_more": true }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}